function getURLParam(strParamName){
  var strReturn = "";
  var strHref = window.location.href;
  if ( strHref.indexOf("?") > -1 ){
    var strQueryString = strHref.substr(strHref.indexOf("?")).toLowerCase();
    var aQueryString = strQueryString.split("&");
    for ( var iParam = 0; iParam < aQueryString.length; iParam++ ){
      if (aQueryString[iParam].indexOf(strParamName.toLowerCase() + "=") > -1 ){
        var aParam = aQueryString[iParam].split("=");
        strReturn = aParam[1].toUpperCase();
        if(strReturn.indexOf("#")>-1)
        	strReturn = strReturn.substr(0, strReturn.indexOf("#"));
        break;
      }
    }
  }
  return unescape(strReturn);
} 

function nuevoAjax()
{
    /* Crea el objeto AJAX. Esta funcion es generica para cualquier utilidad de este tipo */

    var xmlhttp=false;

    try
    {
        // Creacion del objeto AJAX para navegadores no IE
        xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
    }
    catch(e)
    {
        try
        {
            xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
        }
        catch(E) { xmlhttp=false; }
    }
    if (!xmlhttp && typeof XMLHttpRequest!='undefined')
     {
    	xmlhttp=new XMLHttpRequest();
     }


    return xmlhttp;
}

//Carga municipios en funcion de la provincia seleccionada
function cargaMunicipio(idProvincia)
{
	var ajax=nuevoAjax();
	var divResultado = document.getElementById('localidad');

	//var tipoBusqueda = document.getElementById('buscarEESS_check').selectedIndex;

	divResultado.options.length=0;

	if(idProvincia!=-1)
	{
	    ajax.open("GET", "municipios.do?idProvincia="+idProvincia, true);

	    ajax.onreadystatechange=function()
	    {

	        if (ajax.readyState==4)
	        {
		        if (ajax.status == 200) {
			        var xmldoc = ajax.responseXML.documentElement;
					var municipio = xmldoc.getElementsByTagName('m');
				    divResultado.options[0] = new Option('Seleccione Localidad',"");
					for (var n = 0; n < municipio.length; n ++){
						
						var nombreMunicipio = municipio.item(n).firstChild.data;
						divResultado.options[n+1] = new Option(nombreMunicipio);
					}
					//Resetea el select de municipios cuando se cambia la provincia
					$('#localidad option[value=0]').attr('selected', 'selected');
					$('#localidad').selectmenu('refresh', true);
				} else {
		               alert(tituloBusqueda[28]);
		        }
	        }
	    }
	    ajax.send(null);
    }
}

//En formularioCompleto indica los criterios de busqueda obligatorios
function checkCriterios(){
	if(document.getElementById ("tipoCarburante").selectedIndex == 0){
		$("#popupCarburante").popup("open");
	}else if(document.getElementById ("rotulo").value == "" && document.getElementById ("venta").selectedIndex == 0 && document.getElementById ("provincia").selectedIndex == 0 && document.getElementById ("calle").value == "" && document.getElementById ("numero").value == "" && document.getElementById ("codPostal").value == ""){
		$("#popupCriterio").popup("open");
	}else{
		document.getElementById("formularioCompleto").submit();
	}
}

//Funcion que cambia el texto del mensaje de error segn el idioma
function resetForm(error){
	$.mobileinit($.mobile.pageLoadErrorMessage = error);
}