package com.example.combustible;

import java.io.Serializable;

public class Ciudad implements Serializable {

	private static final long serialVersionUID = 1L;
	public String nombre;
	public int codProv;
	public Provincia provincia;

	public Ciudad(int codProv, String nombre) {
		provincia = new Provincia(codProv);
		this.codProv = codProv;
		this.nombre = nombre;
	}

	public Ciudad(int codProv) {
		provincia = new Provincia(codProv);
		this.codProv = codProv;
	}

	public class Provincia implements Serializable  {

		private static final long serialVersionUID = 1L;
		public String nombre;
		public int codProv;

		public Provincia(int codProv) {

			this.codProv = codProv;
		}

		public void setNombre(String nombre) {
			this.nombre = nombre;
		}

	}

}
